Self-serve contractor payments
Self Serve Get Contractor Wallet Holdings
Fetches on-chain token balances for the contractor's verified Privy wallets across enabled network tokens.
GEThttps://api.toku.com/hris/self-serve-get-contractor-wallet-holdings
Not available to API keys.
curl --request GET \
--url 'https://api.toku.com/hris/self-serve-get-contractor-wallet-holdings' \
--header 'Authorization: Bearer <token>'200 response
{
"holdings": [
{
"walletID": "string",
"tokenID": "string",
"address": "string",
"label": "string",
"chain": "string",
"privyCreatedEmail": "string",
"tokenSymbol": "string",
"tokenAddress": "string",
"tokenIcon": "string",
"networkName": "string",
"networkChainId": 0,
"networkRpcUrl": "string",
"networkIcon": "string",
"blockExplorerBaseUrl": "string",
"balance": 0,
"hasError": true
}
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Response
200Successful response
holdingsobject[]requiredShow child attributes
walletIDstringrequiredtokenIDstringrequiredaddressstringrequiredlabelstringrequiredchainstringrequiredprivyCreatedEmailstring | nullrequiredtokenSymbolstringrequiredtokenAddressstring | nullrequiredtokenIconstring | nullrequirednetworkNamestringrequirednetworkChainIdintegerrequirednetworkRpcUrlstring | nullrequirednetworkIconstring | nullrequiredblockExplorerBaseUrlstring | nullrequiredbalancenumberrequiredhasErrorbooleanrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits